package banking;

/**
 * Thrown when an <code>AccountDatabase</code> is inconsistent.
 * For instance, when two <code>Accounts</code> have the same number.
 *
 *@author     <a href="mailto:Sara.Bouchenak@inria.fr">Sara Bouchenak</a>
 *@version    1.0 - 13/01/2004
 */
public class InconsistentDatabaseException
	extends AccountException {
	
	/**
	 * Constructs an <code>InconsistentDatabaseException</code> with 
	 * no detail message.
	 */
	public InconsistentDatabaseException()
	{
		super();
	}

	/**
	 * Constructs an <code>InconsistentDatabaseException</code> with 
	 * the specified detail message.
	 * 
	 * @param	message 	The detail message
	 */
	public InconsistentDatabaseException(String message)
	{
		super(message);
	}
}