package test;

import banking.DatabaseAccountImpl;
import banking.InterAccountOperations;
import banking.AccountException;

/**
 *  A simple banking account test class.
 *
 *@author     <a href="mailto:Sara.Bouchenak@inria.fr">Sara Bouchenak</a>
 *@version    1.0 - 13/01/2004
 */
public class DatabaseAccountTest
{
	
	private static void usage()
	{
		System.out.println("\nUsage:\n   DatabaseAccountTest <McKoi DB URL>");
	}
	
	public static void main(String[] args)
	{
		DatabaseAccountImpl account1, account2;
		String		url;
		String		user = "user";
		String		password = "password";
		String		customer1 = "'Julien Ravoire'", customer2 = "'Ting Zhang'";
		int			accountNb1 = 1, accountNb2 = 2;
		
		if (args.length != 1)
		{
			usage();
			return;
		}
		url			= args[0];
		
		account1	= new DatabaseAccountImpl(accountNb1, customer1,
			url, user, password, 100);
		account2	= new DatabaseAccountImpl(accountNb2, customer2,
			url, user, password, 0);
		
		try {
			System.out.println("\nDatabaseAccountTest.main: Initially, account1.balance="
				+ account1.getBalance() + ", account2.balance="
				+ account2.getBalance());
			
			InterAccountOperations.transfer(account1, account2, 100);
			System.out.println("\nDatabaseAccountTest.main: After 1st transfer 100 ac1 -> ac2, account1.balance="
				+ account1.getBalance() + ", account2.balance="
				+ account2.getBalance());
				
			InterAccountOperations.transfer(account1, account2, 100);
			System.out.println("\nDatabaseAccountTest.main: After 2nd transfer 100 ac1 -> ac2, account1.balance="
				+ account1.getBalance() + ", account2.balance="
				+ account2.getBalance());
		} catch (AccountException e) {
			System.err.println("SimpleAccountTest.main: Problem '"
				+ e.getMessage() +"'");
			e.printStackTrace();
			return;
		}
	}
}